API ReferenceJSON
Retrieve a presentation template
Roles
adminverifier
Analytics Events
PRESENTATION_WEB_SEMANTIC_TEMPLATE_RETRIEVE_STARTPRESENTATION_WEB_SEMANTIC_TEMPLATE_RETRIEVE_SUCCESSPRESENTATION_WEB_SEMANTIC_TEMPLATE_RETRIEVE_FAIL
GET
/v2/credentials/web-semantic/presentations/templates/{id}Retrieve an existing presentation template by its ID.
Analytic events
- PRESENTATION_WEB_SEMANTIC_TEMPLATE_RETRIEVE_START
- PRESENTATION_WEB_SEMANTIC_TEMPLATE_RETRIEVE_SUCCESS
- PRESENTATION_WEB_SEMANTIC_TEMPLATE_RETRIEVE_FAIL
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Presentation template ID
Response Body
application/json
application/json
application/json
curl -X GET "https://example.vii.au01.mattr.global/v2/credentials/web-semantic/presentations/templates/string"{
"id": "64e45290-9980-11ea-b872-f1bee5fb328f",
"domain": "tenant.vii.mattr.global",
"name": "alumni_credential_request",
"query": [
{
"type": "QueryByExample",
"credentialQuery": [
{
"required": true,
"reason": "string",
"example": [
{
"@context": [
null
],
"type": "AlumniCredential",
"trustedIssuer": [
{
"required": true,
"issuer": "string"
}
]
}
]
}
]
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Retrieve all presentation templates GET
Returns a list of all presentation templates on your tenant. ### **Analytic events** * PRESENTATION_WEB_SEMANTIC_TEMPLATE_RETRIEVE_LIST_START * PRESENTATION_WEB_SEMANTIC_TEMPLATE_RETRIEVE_LIST_SUCCESS * PRESENTATION_WEB_SEMANTIC_TEMPLATE_RETRIEVE_LIST_FAIL
Update a presentation template PUT
Updates an existing presentation template by its ID. ### **Analytic events** * PRESENTATION_WEB_SEMANTIC_TEMPLATE_UPDATE_START * PRESENTATION_WEB_SEMANTIC_TEMPLATE_UPDATE_SUCCESS * PRESENTATION_WEB_SEMANTIC_TEMPLATE_UPDATE_FAIL